<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_74) on Wed Mar 02 13:32:48 CET 2016 -->
<title>ListItem (QA API)</title>
<meta name="date" content="2016-03-02">
<link rel="stylesheet" type="text/css" href="../../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ListItem (QA API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/InputField.html" title="interface in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Menu.html" title="class in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../index.html?com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/ListItem.html" target="_top">Frames</a></li>
<li><a href="ListItem.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui.Canvas">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui</div>
<h2 title="Class ListItem" class="title">Class ListItem</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html" title="class in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui">com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui.Canvas</a></li>
<li>
<ul class="inheritance">
<li>com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui.ListItem</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">ListItem</span>
extends <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html" title="class in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui">Canvas</a></pre>
<div class="block">Executes actions on OpenbravoERP list items built upon SmartClient user interface library.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>elopio</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui.Canvas">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui.<a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html" title="class in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui">Canvas</a></h3>
<code><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#FORMAT_SMART_CLIENT_GET_LOCATOR">FORMAT_SMART_CLIENT_GET_LOCATOR</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#objectString">objectString</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#smartClientLocator">smartClientLocator</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/ListItem.html#ListItem--">ListItem</a></span>()</code>
<div class="block">Class constructor.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/ListItem.html#ListItem-java.lang.String-">ListItem</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;objectString)</code>
<div class="block">Class constructor.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/ListItem.html#getItemCount--">getItemCount</a></span>()</code>
<div class="block">Get the number of items in the list.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/ListItem.html#getItemText-int-">getItemText</a></span>(int&nbsp;index)</code>
<div class="block">Get the text of an item.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/ListItem.html#getItemText-int-java.lang.String-">getItemText</a></span>(int&nbsp;index,
           <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;fieldName)</code>
<div class="block">Get the text of an item.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/ListItem.html#makeRowVisible-int-">makeRowVisible</a></span>(int&nbsp;rowNumber)</code>
<div class="block">Make a row visible.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/ListItem.html#selectItem-com.openbravo.test.integration.erp.data.DataObject-">selectItem</a></span>(<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/DataObject.html" title="class in com.openbravo.test.integration.erp.data">DataObject</a>&nbsp;data)</code>
<div class="block">Select an item from the list.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/ListItem.html#selectItem-int-">selectItem</a></span>(int&nbsp;index)</code>
<div class="block">Select an item from the list.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/ListItem.html#selectItem-int-java.lang.String-">selectItem</a></span>(int&nbsp;index,
          <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;fieldName)</code>
<div class="block">Select an item from the list.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/ListItem.html#selectItem-java.lang.String-">selectItem</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;text)</code>
<div class="block">Select an item from the list.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/ListItem.html#selectItem-java.lang.String-java.lang.String-">selectItem</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;text,
          <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;fieldName)</code>
<div class="block">Select an item from the list.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui.Canvas">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui.<a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html" title="class in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui">Canvas</a></h3>
<code><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#cleanSmartClientLocator-java.lang.String-">cleanSmartClientLocator</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#click--">click</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#focus--">focus</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#getAttribute-com.openbravo.test.integration.selenium.Attribute-">getAttribute</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#getInformationForLog--">getInformationForLog</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#getObjectString--">getObjectString</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#getSmartClientLocator--">getSmartClientLocator</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#getText--">getText</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#getTitle--">getTitle</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#hideMenuClick--">hideMenuClick</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#isEnabled--">isEnabled</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#isEnabledSmartClient--">isEnabledSmartClient</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#isFocused--">isFocused</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#isPresent--">isPresent</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#isVisible--">isVisible</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#pressDelete--">pressDelete</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#pressEnter--">pressEnter</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#pressTab--">pressTab</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#scrollToBottom--">scrollToBottom</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#scrollToTop--">scrollToTop</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#setSmartClientLocator-java.lang.String-">setSmartClientLocator</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#showMenuClick--">showMenuClick</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#smartClientBlur--">smartClientBlur</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#smartClientClick--">smartClientClick</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#smartClientSetValue-java.lang.String-">smartClientSetValue</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#virtualClick--">virtualClick</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#waitUntilEnabled--">waitUntilEnabled</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#waitUntilLoaded--">waitUntilLoaded</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#waitUntilNotVisible--">waitUntilNotVisible</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#waitUntilVisible--">waitUntilVisible</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="ListItem-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ListItem</h4>
<pre>public&nbsp;ListItem(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;objectString)</pre>
<div class="block">Class constructor.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>objectString</code> - JavaScript expression that can be evaluated to get a reference to the SmartClient GUI
          object.</dd>
</dl>
</li>
</ul>
<a name="ListItem--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ListItem</h4>
<pre>public&nbsp;ListItem()</pre>
<div class="block">Class constructor.
 
 This constructor will just instantiate the list item, but after this the list item will not be
 ready to be used. It has to be initialized using the function setSmartClientLocator in order to
 be used with Selenium.
 
 This is an alternate way to access the SmartClient object, and should be used only if there is
 no way to get the object string. Always prefer to call the other constructor with the object
 string as a parameter, because it will set the SmartClient Locator. With this method the
 actions that require to call SmartClient functions and attributes directly will not be
 available.</div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getItemText-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getItemText</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getItemText(int&nbsp;index)</pre>
<div class="block">Get the text of an item.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>index</code> - The index of the item.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the text of the item.</dd>
</dl>
</li>
</ul>
<a name="getItemText-int-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getItemText</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getItemText(int&nbsp;index,
                          <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;fieldName)</pre>
<div class="block">Get the text of an item.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>index</code> - The index of the item.</dd>
<dd><code>fieldName</code> - The name of the field.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the text of the item.</dd>
</dl>
</li>
</ul>
<a name="makeRowVisible-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>makeRowVisible</h4>
<pre>public&nbsp;void&nbsp;makeRowVisible(int&nbsp;rowNumber)</pre>
<div class="block">Make a row visible.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>rowNumber</code> - The number of the row.</dd>
</dl>
</li>
</ul>
<a name="getItemCount--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getItemCount</h4>
<pre>public&nbsp;int&nbsp;getItemCount()</pre>
<div class="block">Get the number of items in the list.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the number of items in the list.</dd>
</dl>
</li>
</ul>
<a name="selectItem-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>selectItem</h4>
<pre>public&nbsp;void&nbsp;selectItem(int&nbsp;index)</pre>
<div class="block">Select an item from the list.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>index</code> - The index of the item.</dd>
</dl>
</li>
</ul>
<a name="selectItem-int-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>selectItem</h4>
<pre>public&nbsp;void&nbsp;selectItem(int&nbsp;index,
                       <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;fieldName)</pre>
<div class="block">Select an item from the list.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>index</code> - The index of the item.</dd>
<dd><code>fieldName</code> - The name of the field.</dd>
</dl>
</li>
</ul>
<a name="selectItem-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>selectItem</h4>
<pre>public&nbsp;void&nbsp;selectItem(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;text)</pre>
<div class="block">Select an item from the list.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>text</code> - The text displayed on the item.</dd>
</dl>
</li>
</ul>
<a name="selectItem-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>selectItem</h4>
<pre>public&nbsp;void&nbsp;selectItem(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;text,
                       <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;fieldName)</pre>
<div class="block">Select an item from the list.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>text</code> - The text displayed on the item.</dd>
<dd><code>fieldName</code> - The name of the field.</dd>
</dl>
</li>
</ul>
<a name="selectItem-com.openbravo.test.integration.erp.data.DataObject-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>selectItem</h4>
<pre>public&nbsp;void&nbsp;selectItem(<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/DataObject.html" title="class in com.openbravo.test.integration.erp.data">DataObject</a>&nbsp;data)</pre>
<div class="block">Select an item from the list.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>data</code> - The object with the data to select.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/InputField.html" title="interface in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Menu.html" title="class in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../index.html?com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/ListItem.html" target="_top">Frames</a></li>
<li><a href="ListItem.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui.Canvas">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small><i>Copyright &#169; 2015 Openbravo. All Rights Reserved.</i></small></p>
</body>
</html>
